<template>
  <div class="header">
    <p>Тепловая карта мезонина<span v-if="stage.length">. Этаж {{stage}}{{route.path === '/kazan-4/stage-2' && '. Сейф'||''}}</span></p>
    <div></div>
  </div>
</template>

<script>
import {useRoute} from 'vue-router'
export default {
  name: "Header",
  props: {
    stage: {type: String, default: '1'}
  },
  setup() {
    const route = useRoute()
    return {
      route,
    }
  },
}
</script>

<style lang="scss" scoped>
.header {
  position: relative;
  width: 100%;
  p {
    transform: translate(-50%, -75%);
    position: absolute;
    left: 50%;
    top: 50%;
    color: white;
    font-size: 30px;
  }
  div {
    width: 100%;
    height: 114px;
    background: url("../assets/images/head.png") no-repeat;
    background-size: cover;
  }
}

</style>
